SDL Library Documentation
Prev |  | Next

# SDL_CondWaitTimeout

## Name

SDL_CondWaitTimeout -- Wait on a condition variable, with timeout

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``int SDL_CondWaitTimeout`(SDL_cond *cond, SDL_mutex *mutex, Uint32 ms);`

## Description

Wait on the condition variable `cond` for, at most, `ms` milliseconds. `mut` is unlocked so it must be locked when the function is called. Returns `SDL_MUTEX_TIMEDOUT` if the condition is not signalled in the allotted time, 0 if it was signalled or -1 on an error.

## See Also

`SDL_CondWait`

Prev | Home | Next
SDL_CondWait | Up | Time